/* Guidebook Corp site 3.0 */

var Guidebook = Guidebook || {};



$(document).ready(function(){
	$('[rel=overlay]').gbuiOverlay();
	GBUI.tooltip.init();
	Guidebook.initMosaicPattern();

	setTimeout(function(){
		Guidebook.initSocialButtons();
	}, 1000);
});

$('.menu-toggle').on('click', function(e){
	e.preventDefault();
	$('body').toggleClass('mobile-menu-open');
	return false;
});

/* object size function */
Object.size = function(obj) {
    var size = 0, key;
    for (key in obj) {
        if (obj.hasOwnProperty(key)) size++;
    }
    return size;
};

jQuery.validator.addMethod("validpassword", function(value, element, param) {
	if (param){
		return this.optional(element) || /(?!^[^\d\w]*$)(?!^[0-9]*$)(?!^[a-zA-Z]*$)^(\S{8,})$/.test(value);
	} else {
		return false;
	}
}, "Invalid password. Passwords must be at least 8 characters long and contain at least one letter and number.");


Guidebook.initSocialButtons = function(){

	$('#header-container .fb').append('<div id="fb-root"></div>');
	$('#header-container .fb').append('<fb:like href="http://www.facebook.com/guidebookapp" layout="button_count" width="110" show_faces="false" stream="false" header="false"></fb:like>');

	jQuery.getScript('http://connect.facebook.net/en_US/all.js#xfbml=1', function() {
	    FB.init({status: true, cookie: true, xfbml: true});
	});

	jQuery.getScript('//platform.twitter.com/widgets.js', function(){
		twttr.widgets.load();
	});

	// deterimines length of login/very top nav box, positions social buttons 8px to the right of that then fades in.
	setTimeout(function(){
		var loginWidth = $('#login-box').width() + 28;
		$('#social-box').css({
			// 'opacity': '.5',   // this is commented out to patch this UI (http://cl.ly/image/210a1a1y3s1i)
			'right': loginWidth + 'px'
		});

		if( $('#twitter-feedback').length > 0 ){
			$('#twitter-feedback .pure-u').css('opacity', '1');
			$('#twitter-feedback .loader').hide();
		}

	}, 1000);

};

Guidebook.initMosaicPattern = function(){

	if( $('.mosaic').length > 0 ){
		$('.mosaic').generateBackground({
			opacity:.033
		});
	}

};

/* Generate random triangle background
http://codepen.io/sambeckham/pen/FCGrx
-----------------------------------------------------------------------------------------------------------*/

(function ($) {
    "use strict";
    $.fn.generateBackground = function (options) {
        // Setup options
        var settings = $.extend({
            triangleSize : 50,
            trianglesHigh: 5,
            trianglesWide: 5,
            skew : 1.73205,
            opacity : 0.3
        }, options);

        return this.each(function () {
            var $this = $(this),
                width = settings.triangleSize * settings.trianglesWide * settings.skew,
                height = settings.triangleSize * settings.trianglesHigh,
                background = "<svg xmlns='http://www.w3.org/2000/svg' width='" + width + "' height='" + height + "'>",
                i,
                j,
                v,
                w,
                x,
                y,
                a,
                b,
                c,
                d,
                e,
                getColor = function () {
                    var colors = ['111', '333', '555', '777', '999', 'bbb', 'ddd', 'fff'],
                        hex = colors[Math.floor(Math.random() * colors.length)];
                    return "#" + hex;
                };

            for (i = -1; i <= settings.trianglesWide; i += 1) {
                for (j = -0.5; j <= settings.trianglesHigh; j += 0.5) {
                    v = (i + (j % 1)) * settings.triangleSize * settings.skew;
                    w = j * settings.triangleSize;
                    x = v + (settings.triangleSize * settings.skew);
                    y = w + settings.triangleSize;
                    a = v + "," + w;
                    b = x + "," + w;
                    c = (v + x) / 2 + "," + ((w + y) / 2);
                    d = v + "," + y;
                    e = x + "," + y;

                    background += "<polygon fill='" + getColor() + "' fill-opacity='" + settings.opacity + "' points='" + a + " " + c + " " + d + " " + "' />";
                    background += "<polygon fill='" + getColor() + "' fill-opacity='" + settings.opacity + "' points='" + b + " " + c + " " + e + " " + "' />";
                }
            }

            background += "</svg>";

            var b64 = 'data:image/svg+xml;base64,' + window.btoa(background),
                url = 'url("' + b64 + '")';
            $this.css('backgroundImage', url);
        });
    };
}(jQuery));

/* Allow CSRF token via ajax submit
more info: https://docs.djangoproject.com/en/dev/ref/contrib/csrf/#ajax
-----------------------------------------------------------------------------------------------------------*/

$('html').ajaxSend(function(event, xhr, settings) {
    function getCookie(name) {
        var cookieValue = null;
        if (document.cookie && document.cookie != '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = jQuery.trim(cookies[i]);
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) == (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }
    if (!(/^http:.*/.test(settings.url) || /^https:.*/.test(settings.url))) {
        // Only send the token to relative URLs i.e. locally.
        xhr.setRequestHeader("X-CSRFToken", getCookie('csrftoken'));
    }
});




function createFields(){
	$('.field:not(.assigned)').on('click focus', function(){
		var input = $(this).find('input') || $(this).find('textarea');
		input.focus();
	});

	$('.field:not(.assigned) input, .field:not(.assigned) textarea').on('focus', function(){
		var input = $(this);
		var label = $(this).parent().find('label');
		var text = label.find('span');


		label.parent().addClass('focused').find('label');

		function check(){
			text.css({'visibility': 'hidden'});
			if(input.val()){
				text.css({'visibility': 'hidden'});
			}
			if(!input.val() || input.val() === ''){
				text.css({'visibility': 'visible'});
			}
		}

		input.on('keydown.check keyup.check', function(){
			check();
		});
		input.one('blur.check', function(){
			check();
			input.parent().removeClass('focused');
			input.unbind('blur.check keydown.check keyup.check');
		});

		$(this).parent().addClass('assigned');

	});

	// hides the labels if the field starts filled
	$('.field input, .field textarea').each(function(){
		if( $(this).val() ){
			$(this).parent().find('span').css({'visibility': 'hidden'});
		}
	});

	// assign label-checkbox combos

	$('.label-checkbox:not(.check-assigned)').find('input').on('click', function(e){
		var input = $(this).parent().find('input');
		var field = $(this).parent();
		if( input.prop('checked') ){
			field.addClass('checked');
		}else{
			field.removeClass('checked');
		}
		e.stopPropagation();
		$(this).parent().addClass('check-assigned');
	});

	$('.label-checkbox:not(.assigned) > label').on('click', function(e){
		var input = $(this).parent().find('input');
		var field = $(this).parent();
		if( input.prop('checked') ){
			input.attr('checked', false);
			field.removeClass('checked');
		}else{
			input.attr('checked', true);
			field.addClass('checked');
		}
		$(this).parent().addClass('assigned');
	})

}



/* Logout
-----------------------------------------------------------------------------------------------------------*/

Guidebook.logout = function(){
	$.ajax({
		type: 'POST',
		url: '/logout/',
		success: function(x){
			if(x === 'Logged Out'){
				window.location.reload();
			}else{
				alert("oops, something went wrong. Please try again!")
			}
		}
	});
}


/* JQuery Validation Forms
-----------------------------------------------------------------------------------------------------------*/


/*
	I’m currently very tempted to (and will likely eventually) refactor `validateForm()` so that it
	doesn’t have so much info about specific forms. (As of July 2014 it has a lot of knowledge about a
	number of different forms throughout our site.) The per-form and per-field customizations can be moved
	to data attributes. Invocation can happen automatically on page load based on the presence of a class
	on the form. (Example of increased maintainability: Currently form validation needs set up on page load.
	Changing this to support setup on AJAX’d-in content or on client-side view rendering, in the future,
	would be crazy easy. The change would need coded in one place instead of at the bottom of each template
	that has a form.)
*/
function validateForm(){
	// Sign Up Form
	$('#mktForm_23').validate({

		rules: {
			Email:{
				required:true,
				email: true
			},
			FirstName: "required",
			LastName: "required",
			password: {
				required: true
			},
			passwordConfirm: {
				required: true,
				equalTo: '#mktForm_23 [name=password]'
			},
			Phone: {
				required: true,
				phone:true
			},
			Company: {
				required: true
			},
			Industry: {
				required: true
			}
		},
		onkeyup: false,
		messages: {
			Email: {
				required: "Please enter your email.",
				email: "Please enter a valid email."
			},
			FirstName: "Please enter your first name.",
			LastName: "Please enter your last name.",
			password: 'Please enter a password.',
			passwordConfirm: {
				required: 'Please confirm your password.',
				equalTo: 'Passwords don\'t match.'
			},
			Phone: {
				required: "Please enter your phone number.",
				phone: "Please enter a valid phone number."
			},
			Company: "Please let us know which company you represent.",
			Industry: 'Please select which type of guide you are interested in creating.'
		},
		errorLabelContainer: "#mktForm_23 #validate-errors",
		wrapper: "li",
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(form){
			var $form = $(form),
				data = $form.serialize(),
				$submit = $form.find('[type=submit]');

			var gearsData = data;
			gearsData = gearsData.replace('FirstName', 'firstname').replace('LastName', 'lastname').replace('Email', 'email');

			$submit.addClass('disabled').val('Submitting...');
			$.ajax({
				type: 'POST',
				data: gearsData,
			  	url: '/register/',
			  	success: function(y, x, z){
					//console.log(y, x, z);
			  		if(y === "Registration Success!"){

						$form.find('[name=password], [name=passwordConfirm]').val('');
						form.submit();


			    	}else{
			    		$submit.removeClass('disabled').val('Submit!');
						$form.find('#server-errors').html(y).removeClass('gone').show();
			    	}
			  	}
			});
		}
	});
	// Contact form
	$('#mktForm_213').validate({

		rules: {
			Email:{
				required:true,
				email: true
			},
			FirstName: "required",
			LastName: "required",
			Phone: {
				required: true,
				phone:true
			},
		},
		onkeyup: false,
		messages: {
			Email: {
				required: "Please enter your email.",
				email: "Please enter a valid email."
			},
			FirstName: "Please enter your first name.",
			LastName: "Please enter your last name.",
			Phone: {
				required: "Please enter your phone number.",
				phone: "Please enter a valid phone number."
			},
		},
		errorLabelContainer: "#mktForm_213 .errors",
		wrapper: "li",
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		// submitHandler: function(){
		// 	var data = $('#mktForm_213').serialize();
		// 	console.log(data);
		// 	$.ajax({
		// 		type: 'POST',
		// 		data: data,
		// 	  	url: "http://pages.guidebook.com/leadCapture/save/",
		// 	  	success: function(x){
		// 			console.log(x);
		// 	  	},
		// 		error: function(x,y,z){
		// 			console.log(x,y,z);
		// 		}
		// 	});
		// }
	});

	// Homepage "Request a demo" form


	$('#demo-form').validate({
		rules: {
			email: {
				required:true,
				email:true
			}
		},
		messages: {
			email: {
				required: "Please enter your email.",
				email: "Email address not valid!"
			}
		},
		wrapper:'',
		onkeyup: false,
		errorLabelContainer: '#demo-form .errors',

		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
			var errorTO = setTimeout(function(){
				field.parent().find('.errors').fadeOut(250);
			}, 2500);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(){
			Guidebook.user_email = $('#demo-form [name=email]').val();
			$('#demo-link').click();
		}
	});

	$('#demo-form-second').validate({
		rules: {
			email: {
				required:true,
				email:true
			}
		},
		messages: {
			email: {
				required: "Please enter your email.",
				email: "Email address not valid!"
			}
		},
		wrapper:'',
		onkeyup: false,
		errorLabelContainer: '#demo-form-second .errors',
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(){
			Guidebook.user_email = $('#demo-form-second [name=email]').val();
			$('#demo-link').click();
		}
	});


	$('#sign-in-form').validate({
		rules: {
			email: {
				required:true,
				email:true
			},
			password: 'required'
		},
		messages: {
			email: {
				required: "Please enter your email.",
				email: "Email address not valid!"
			},
			password: {
				required: "Please enter your password."
			}
		},
		wrapper:'li',
		onkeyup: false,
		errorLabelContainer: "#sign-in-form .errors",
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(form){
			var data = $(form).serialize(),
				$loginErr = $(form).find('#login-err'),
				$submit = $(form).find('[type=submit]');

			$submit.val('Logging in...').addClass('disabled');
			$.ajax({
				type: 'POST',
				data: data,
				url: '/login/',
				success: function(x){
					//console.log('x');
					if(x !== 'OK'){
						$loginErr.html(x).show();
						$submit.val('Log in!').show().removeClass('disabled');
						setTimeout(function(){
							$loginErr.fadeOut('slow', function(){$(this).html('')});
						}, 2000);
					}
					if(x === 'OK'){
						window.location.reload();
					}
				},
				error: function(){
					form.reset();
				}
			});

			Guidebook.user_email = $('#sign-in-form [name=email]').val();
			var username = $('#sign-in-form [name=email]').val();
			var password = $('#sign-in-form [name=password]').val();

			return;
		}
	});

	// request a demo form
	$('#mktForm_21').validate({
		rules: {
			Email:{
				required:true,
				email: true
			},
			FirstName: "required",
			LastName: "required",
			Phone: {
				required: true,
				phone: true
			},
			password: {
				required: false
			},
			'password-confirm': {
				required: false,
				equalTo: '#request-demo-form [name=password]'
			},
			Company: {
				required: true
			},
			Industry: {
				required: true
			}
		},
		onkeyup: false,
		messages: {
			Email: {
				required: "Please enter your email.",
				email: "Please enter a valid email."
			},
			FirstName: "Please enter your first name.",
			LastName: "Please enter your last name.",
			Phone: {
				required: "Please enter your phone number.",
				phone: "Please enter a valid phone number."
			},
			password: 'Please enter a password.',
			'password-confirm': {
				required: 'Please confirm your password.',
				equalTo: 'Passwords don\'t match.'
			},
			Company: 'Please tell us which company you represent.',
			Industry: 'Please tell us what type of guide you\'d like to create.'
		},
		errorLabelContainer: "#mktForm_21 .errors",
		wrapper: "li",
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		}/*,
		submitHandler: function(){
			var data = $('#mktForm_21').serialize();
			console.log(data);
			$.ajax({
				type: 'POST',
				data: data,
			  	url: "http://pages.guidebook.com/leadCapture/save/",
			  	success: function(x){
					console.log(x);
			  	},
				error: function(x,y,z){
					console.log(x,y,z);
				}
			});
		}*/
	});

	// Additional Guide Pricing Request Form
	$('#mktForm_122').validate({
		rules: {
			Email:{
				required:true,
				email: true
			},
			FirstName: "required",
			LastName: "required",
			Phone: {
				required: true,
				phone: true
			},
			Company: {
				required: true
			},
			Industry: {
				required: true
			}
		},
		onkeyup: false,
		messages: {
			Email: {
				required: "Please enter your email.",
				email: "Please enter a valid email."
			},
			FirstName: "Please enter your first name.",
			LastName: "Please enter your last name.",
			Phone: {
				required: "Please enter your phone number.",
				phone: "Please enter a valid phone number."
			},
			Company: 'Please tell us which company you represent.',
			Industry: 'Please tell us what type of guide you\'d like to create.'
		},
		errorLabelContainer: "#mktForm_122 .errors",
		wrapper: "li",
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		}/*,
		submitHandler: function(){
			var data = $('#mktForm_122').serialize();
			console.log(data);
			$.ajax({
				type: 'POST',
				data: data,
			  	url: "http://pages.guidebook.com/leadCapture/save/",
			  	success: function(x){
					console.log(x);
			  	},
				error: function(x,y,z){
					console.log(x,y,z);
				}
			});
		}*/
	});

	// custom event packages form
	$('#mktForm_22').validate({
		rules: {
			Email:{
				required:true,
				email: true
			},
			FirstName: "required",
			LastName: "required",
			Event_Name__c: "required",
			Expected_of_Attendees__c: "required",
			Have_Sponsors_or_Exhibitors__c: "required"
		},
		messages: {
			Email: {
				required: "Please enter your email.",
				email: "Email address not valid!"
			},
			FirstName: "Please enter your first name.",
			LastName: "Please enter your last name.",
			Event_Name__c: "Please enter your event name",
			Expected_of_Attendees__c: "Please tell us how many attendees you expect.",
			Have_Sponsors_or_Exhibitors__c: "Please tell us if you have sponsors or exhibitors."
		},
		wrapper:'li',
		onkeyup: false,
		errorLabelContainer: "#mktForm_22 .errors",
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		}
	});

	// Text download link form

	$('#text-link-form').validate({
		rules: {
			phone: {
				required:true
				//phoneUS:true
			}
		},
		messages: {
			phone: {
				required: "Please enter your phone number."
				//phoneUS: "Phone number not valid!"
			}
		},
		wrapper:'',
		onkeyup: false,
		errorLabelContainer: "#text-link-form .errors",
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(){
			Guidebook.smsNumber = $('#text-link-form [name=phone]').val();
			var id = $('#text-link-form').data('id') || 13; //13 is guidebook itself

			$('#hero-getit input[type=submit], #guide-getit input[type=submit]').addClass('disabled').attr('disabled', 'disabled');
			$('#text-success').html('Sending...').fadeIn(100);
			$.ajax({
				type: 'POST',
				data: {
					number: Guidebook.smsNumber,
					id: id
				},
				url: "/ajax/textlink/",
				success: function(xhr, status){
					try {
						responseObj = xhr;
						var message = responseObj.reason;
  					} catch(e){
  						//Invalid JSON:
  						var message = 'Oops. Something went wrong! Please try again.';
					}
					$('#text-success').html(message);
					setTimeout(function(){
						$('#text-success').fadeOut(100, function(){
							$('#hero-getit input[type=submit]').removeClass('disabled').removeAttr('disabled');
							$('#hero-getit #phone').val('').focus().blur();
						});
					}, 3000);
				},
				error: function(xhr, status, error){
					$('#text-success').html('Oops. Something went wrong! Please try again.');
					setTimeout(function(){
						$('#text-success').fadeOut(100, function(){
							$('#hero-getit input[type=submit]').removeClass('disabled').removeAttr('disabled');
							$('#hero-getit #phone').val('').focus().blur();
						});
					}, 3000);
				}
			});
		}
	});

	// Text download link form (for app landing page)
	// Bad hack due to time constraints
	// FUTURE: please create reusable code that isn't limited to one form

	$('#app-text-link-form').validate({
		rules: {
			phone: {
				required:true
				//phoneUS:true
			}
		},
		messages: {
			phone: {
				required: "Please enter your phone number."
				//phoneUS: "Phone number not valid!"
			}
		},
		wrapper:'',
		onkeyup: false,
		errorLabelContainer: "#app-text-link-form .errors",
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(){
			Guidebook.smsNumber = $('#app-text-link-form [name=phone]').val();
			var id = $("#app-text-link-form").data('id') || 13; //13 is guidebook itself

			$('#app-text-link-form input[type=submit]').addClass('disabled').attr('disabled', 'disabled');
			$('#app-text-link-form .text-success').html('Sending...').fadeIn(100);
			$.ajax({
				type: 'POST',
				data: {
					number: Guidebook.smsNumber,
					id: id
				},
				url: "/ajax/textlink/",
				success: function(xhr, status){
					try {
						responseObj = xhr;
						var message = responseObj.reason;
  					} catch(e){
  						//Invalid JSON:
  						var message = 'Oops. Something went wrong! Please try again.';
					}
					$('#app-text-link-form .text-success').html(message);
					setTimeout(function(){
						$('#app-text-link-form .text-success').fadeOut(100, function(){
							$('#app-text-link-form input[type=submit]').removeClass('disabled').removeAttr('disabled');
							$('#app-text-link-form #phone').val('').focus().blur();
						});
					}, 3000);
				},
				error: function(xhr, status, error){
					$('#app-text-link-form .text-success').html('Oops. Something went wrong! Please try again.');
					setTimeout(function(){
						$('#app-text-link-form .text-success').fadeOut(100, function(){
							$('#app-text-link-form input[type=submit]').removeClass('disabled').removeAttr('disabled');
							$('#app-text-link-form #phone').val('').focus().blur();
						});
					}, 3000);
				}
			});
		}
	});

	$('#app-text-link-form2').validate({
		rules: {
			phone: {
				required:true
				//phoneUS:true
			}
		},
		messages: {
			phone: {
				required: "Please enter your phone number."
				//phoneUS: "Phone number not valid!"
			}
		},
		wrapper:'',
		onkeyup: false,
		errorLabelContainer: "#app-text-link-form2 .errors",
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(){
			Guidebook.smsNumber = $('#app-text-link-form2 [name=phone]').val();
			var id = $("#app-text-link-form2").data('id') || 13; //13 is guidebook itself

			$('#app-text-link-form2 input[type=submit]').addClass('disabled').attr('disabled', 'disabled');
			$('#app-text-link-form2 .text-success').html('Sending...').fadeIn(100);
			$.ajax({
				type: 'POST',
				data: {
					number: Guidebook.smsNumber,
					id: id
				},
				url: "/ajax/textlink/",
				success: function(xhr, status){
					try {
						responseObj = xhr;
						var message = responseObj.reason;
  					} catch(e){
  						//Invalid JSON:
  						var message = 'Oops. Something went wrong! Please try again.';
					}
					$('#app-text-link-form2 .text-success').html(message);
					setTimeout(function(){
						$('#app-text-link-form2 .text-success').fadeOut(100, function(){
							$('#app-text-link-form2 input[type=submit]').removeClass('disabled').removeAttr('disabled');
							$('#app-text-link-form2 #phone').val('').focus().blur();
						});
					}, 3000);
				},
				error: function(xhr, status, error){
					$('#app-text-link-form2 .text-success').html('Oops. Something went wrong! Please try again.');
					setTimeout(function(){
						$('#app-text-link-form2 .text-success').fadeOut(100, function(){
							$('#app-text-link-form2 input[type=submit]').removeClass('disabled').removeAttr('disabled');
							$('#app-text-link-form2 #phone').val('').focus().blur();
						});
					}, 3000);
				}
			});
		}
	});


	// Contact - Feedback

	function submitContact(el, data){
		//console.log(data);
		$(el).find('input[type=submit]').addClass('disabled').val('Sending...');
		$.ajax({
			type: 'POST',
			data: data,
		  	url: "/contact/submit/",
		  	success: function(x){
				if(x === 'Email Sent'){
					window.location = "http://" + location.host + '/contact/success/';
				}
		  	},
			error: function(){
				$(el).find('input[type=submit]').removeClass('disabled').val('Send!');
			}
		});
	}


	$('#contact-feedback').validate({
		rules: {
			email: {
				required:true,
				email:true
			},
			name: {
				required: true
			},
			message: {
				required: true
			}
		},
		messages: {
			name: {
				required: "Please enter your name."
			},
			email: {
				required: "Please enter your email.",
				email: "Please enter a valid email!"
			},
			message: {
				required: "Please enter a message."
			}
		},
		wrapper:'li',
		onkeyup: false,
		errorLabelContainer: '#contact-feedback .errors',
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(){
			submitContact( '#contact-feedback', $('#contact-feedback').serialize() );
		}
	});

	$('#contact-support').validate({
		rules: {
			email: {
				required:true,
				email:true
			},
			name: {
				required: true
			},
			message: {
				required: true
			}
		},
		messages: {
			name: {
				required: "Please enter your name."
			},
			email: {
				required: "Please enter your email.",
				email: "Please enter a valid email!"
			},
			message: {
				required: "Please enter a message."
			}
		},
		wrapper:'li',
		onkeyup: false,
		errorLabelContainer: '#contact-support .errors',
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(){


		}
	});

	$('#contact-sales').validate({
		rules: {
			email: {
				required:true,
				email:true
			},
			name: {
				required: true
			},
			message: {
				required: true
			}
		},
		messages: {
			name: {
				required: "Please enter your name."
			},
			email: {
				required: "Please enter your email.",
				email: "Please enter a valid email!"
			},
			message: {
				required: "Please enter a message."
			}
		},
		wrapper:'li',
		onkeyup: false,
		errorLabelContainer: '#contact-sales .errors',
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(){


		}
	});

	$('#reset-password form').validate({
		rules: {
			password: {
				required:true,
				minlength: 8,
				validpassword: true
			},
			newPassword: {
				required: true,
				equalTo: '#password'
			}
		},
		messages: {
			password: {
				required: "Please enter a new password."
			},
			newPassword: {
				required: "Please confirm your new password.",
				equalTo: "Passwords don't match."
			}
		},
		wrapper:'li',
		onkeyup: false,
		errorLabelContainer: '#reset-password .errors',
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		},
		submitHandler: function(form){
			$.ajax({
				url:'https://guidebook.com/ua/v1/resetpassword/',
				data: {
					'code': $('#reset-password form').data('code'),
					'email': $('#reset-password form').data('email'),
					'password': $('#reset-password form input[name=password]').val()
				},
				type: 'POST',
				success: function(){
					$('#password-reset-form').html('<p class="note success"><br>Your password has been reset.<br><br></p>')
				},
				error: function(err, textstatus, errthrown){
					alert('Something went wrong, please try again later.');
				}
			});
		}
	});


	$('#mktForm_24').validate({
		rules: {
			Email: {
				required:true,
				email:true
			},
			FirstName: {
				required: true
			},
			LastName: {
				required: true
			},
			Company: {
				required: true
			}
		},
		messages: {
			FirstName: {
				required: "Please enter your first name."
			},
			LastName: {
				required: "Please enter your last name."
			},
			Email: {
				required: "Please enter your email.",
				email: "Please enter a valid email!"
			},
			Company: {
				required: "Please tell us which company you represent."
			}
		},
		wrapper:'li',
		onkeyup: false,
		errorLabelContainer: '#mktForm_24 .errors',
		highlight: function(element, errorClass, validClass) {
			var field = $(element).parent();
			field.addClass(errorClass).removeClass(validClass);
		},
		unhighlight: function(element, errorClass, validClass){
			var field = $(element).parent();
			field.removeClass(errorClass).addClass(validClass);
		}
	});


}


setRecordType = function(){
	return false;

	if( $('[name=RecordTypeId]').length > 0 ){

		// temporary fix to set all record types to the same
		$('[name=RecordTypeId]').val( '012d000000082JC' );
		return;
		// end temp fix


		/*$('[name=Industry]').change(function(){

			if( !$(this).val() ){
				setRecord(null);
			}

			setRecord( $(this).val() );
		});


		function setRecord(record){
			if(!record){
				$('[name=RecordTypeId]').val( '' );
				return;
			}
			var records = {
				'Community-Center':'012d0000000kQtQ',
				Event: '012d0000000kQtG',
				'Multi-Events': '012d0000000kQtV',
				School: '012d0000000kQtL',
				Other: '012d000000082JC'
			};

			$('[name=RecordTypeId]').val( records[record] || '012d000000082JC' );
		}*/
	}
}







/* Hero Rotation
-----------------------------------------------------------------------------------------------------------*/


function homeHero(){

	var inMotionTimeout, animationTimeout;

	var scenes = [
		'events',
		'places',
		'gears'
	],

	$hero = 			$('#hero'),
	$heroNav = 			$hero.find('.hero-nav'),
	$navItems =			$heroNav.find('.hero-item'),

	$initialPhone1 = 	$('<img/>'),
	$initialPhone2 = 	$('<img/>'),
	$initialBg = 		$('<img/>'),

	inMotion =			false;


	function setScene(index, previousIndex){
		inMotion = true;
		clearTimeout(animationTimeout);
		clearTimeout(inMotionTimeout);
		$hero.removeClass();
		$hero.addClass(scenes[index]);
		$hero.find('.bgd.' + scenes[previousIndex]).css({'z-index':4})
		$hero.find('.bgd.' + scenes[index]).css({'z-index':5});
		inMotionTimeout = setTimeout(function(){
			inMotion = false;
		}, 200);
		animationTimeout = setTimeout(function(){
			$hero.find('#'+scenes[index]+'-content .phone').removeClass('in-motion');
			$hero.find('#'+scenes[index]+'-content .last').removeClass('in-motion');
		}, 1000);

		$hero.attr('data-hero-index', index);
		setNav(index);
	}

	function setNav(index){
		$navItems.removeClass('selected');
		$( $navItems[index] ).addClass('selected');
	}

	function switchScene(direction){

		var currentIndex = parseInt( $hero.attr('data-hero-index') );

		switch(direction){

			case 'next':
				if(currentIndex == scenes.length - 1){
					setScene(0, currentIndex);
				}else{
					setScene(currentIndex + 1, currentIndex);
				}
			break;

			case 'back':
				if(currentIndex == 0){
					setScene(scenes.length-1, currentIndex);
				}else{
					setScene(currentIndex - 1, currentIndex);
				}
			break;
		}

	}

	$navItems.on('click', function(){
		if( !inMotion ){
			if( $(this).attr('data-nav-index') === $hero.attr('data-hero-index') ){
				return;
			}
			setScene( $(this).attr('data-nav-index'), $hero.attr('data-hero-index') );
		}
	});

	$( $initialBg ).load(function(){
		setScene(0);
		$hero.find('.spinner').hide();
		setTimeout(function(){
			$('.bgd.places').css('background-image', 'url('+STATIC_URL+'corp/img/hero/schools-campus2.jpg)');
			$('.bgd.gears').css('background-image', 'url('+STATIC_URL+'corp/img/hero/gears-hero.jpg)');
		}, 200);

	});

	$('.hero-flipper').on('click', function(){
		if( !inMotion ){
			switchScene( $(this).attr('data-direction') );
		}
	});

	// Go
	setTimeout(function(){
		$initialPhone1.attr('src', STATIC_URL+'corp/segments/home/img/iphone-home.png');
		$initialPhone2.attr('src', STATIC_URL+'corp/segments/home/img/android-home.png');
		$initialBg.attr('src', STATIC_URL+'corp/img/hero/events2.jpg');
	}, 200);


}


// dev deploy test

